
!WASqueakPlatform methodsFor: '*comet-pharo-core' stamp: 'MAD 2/20/2009 23:20'!
forkCometProcessDo: aBlock
	^ aBlock forkAt: 20 named: 'ping'! !

!WASqueakPlatform methodsFor: '*comet-pharo-core' stamp: 'lr 9/19/2009 12:05'!
waitCometProcess
	(Delay forSeconds: 15) wait! !

!WAPackage class methodsFor: '*comet-pharo-core' stamp: 'lr 8/30/2009 17:59'!
cometSqueakCore
	^ self new
		name: 'Comet-Pharo-Core';
		addDependency: 'Comet-Core';
		yourself! !

!SocketStream methodsFor: '*comet-pharo-core' stamp: 'lr 3/25/2009 14:16'!
flushComet
	"Flushes the receiver and answer if the socket is still in a valid state and both ends are properly connected. Free the socket, as a side-effect if there is a problem."
	
	| result |
	result := [ self flush. true ]
		on: NetworkError
		do: [ :err | false ].
	result := result and: [ self isConnected and: [ self isOtherEndConnected ] ].
	result ifFalse: [ socket destroy ].
	^ result! !
